/*
 * libnqs/misc/bufstdout.c
 *
 * DESCRIPTION:
 *
 *	Block buffer the output to the stdout file stream.
 *
 *
 *	Original Author:
 *	-------
 *	Brent A. Kingsbury, Sterling Software Incorporated.
 *	October 27, 1985.
 */

#include <libnqs/license.h>
#include <libnqs/proto.h>
#include <libnqs/debug.h>
#include <stdio.h>


/*** bufstdout
 *
 *
 *	void bufstdout():
 *	Block buffer the output to the stdout file stream.
 */
void bufstdout()
{
	static char stdout_buffer [BUFSIZ];	/* Stdout output buffer */
  	RUN_ONCE_ONLY;

#if	POSIX | SYSVr4
  	setvbuf (stdout, stdout_buffer, _IOFBF, BUFSIZ);
#else
#if	BSD
	setbuffer (stdout, stdout_buffer, BUFSIZ);
#else
BAD SYSTEM TYPE
#endif
#endif
}
